@font-face {
    font-family: "Cardo";
    src: url("/util/font/Cardo-Regular.ttf") format("truetype");
    font-style: normal;
}
@font-face {
    font-family: "Roboto";
    src: url("/util/font/Roboto-Regular.ttf") format("truetype");
    font-style: normal;
}

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root {
    --bg: #0e0e0e;
    --text: #5b5b5b;
    --highlight: #6d6d6d;
    --highlightb: #303030;
}
::selection {
    background: var(--highlight);
    color: var(--bg);
    text-decoration: underline 1px dashed black;
}

/** basic tooltip from tutorial-baby**/
.tooltip {
    display: inline;
    position: relative;
}
#s-m-t-tooltip {
    max-width: 300px;
    border-radius: 0px;
    margin: 20px 7px -2px 20px;
    background-color: var(--bg);
    color: var(--highlight);
    z-index: 99999999999999999999;
    filter: grayscale() brightness(1.7);
    border: 4px solid transparent;
    border-image: url(https://satanas-in-solitudine.neocities.org/src/border2.png) 20;
    padding: 0 5px;
}

.page-mask {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-image: url("/src/stpaulandtheviper.jpg");
    background-position: top center;
    background-repeat: repeat;
    background-size: 1000px;
    opacity: 0.4;
    pointer-events: none;
    z-index: 9999;
    mix-blend-mode: screen;
    filter: grayscale();
}
@keyframes fadein {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
body {
    background: var(--bg);
    color: var(--text);
    font-size: 13.1px;
    font-style: italic;
    font-family: "Cardo", "Times New Roman", serif;
    animation: fadein 2s forwards;
}
h1 {
    font-size: 2rem;
}
h2 {
    font-size: 1.5rem;
}
h3 {
    font-size: 1.2rem;
}
p {
    padding: 5px 0;
}
a {
    color: var(--highlight);
    transition: all 0.2s ease-in-out;
    text-decoration: underline 1px dotted var(--highlight);
}
a:hover {
    filter: grayscale() brightness(1.7);
}
a:visited {
    filter: saturate(0);
}
.container {
    max-width: 750px;
    margin: 15% auto;
    background: var(--bg);
    z-index: 99999;
    position: relative;
    border: 10px solid transparent;
    padding: 15px;
    border-image: url(https://satanas-in-solitudine.neocities.org/src/border.png) 8;
    border-radius: 15px;
    box-shadow: 0 0 112px 125px var(--bg);
}

#title {
    font-size: 17px;
    display: block;
}

footer {
    padding-top: 20px;
    font-style: normal;
}
button,
.button {
    display: inline-block;
    border-radius: 5px;
    transition: 0.3s ease-in-out;
    border: 5px solid transparent;
    border-image: url(https://satanas-in-solitudine.neocities.org/src/border2.png) 9;
    padding: 3px 5px;
    text-decoration: none;
}

hr {
    border: none;
    border-bottom: 1px dotted var(--highlightb);
    margin-bottom: 10px;
}
.row {
    display: flex;
    gap: 5px;
}
.aNav {
    display: flex;
    flex-direction: column;
    gap: 5px;
    min-width: max-content;
}
.aNav a {
    background: var(--bg);
    display: block;
    border: 1px solid #212121;
    border-right: none;
    border-bottom: none;
    transition: 0.3s ease-in-out;
    padding: 2px 5px;
}
.aNav a:hover {
    margin-left: -20px;
    padding-right: 25px;
    filter: grayscale() brightness(1.7);
}
